CONFIG_GPIO=y
CONFIG_CPP=y
CONFIG_STD_CPP20=y
CONFIG_NEWLIB_LIBC=y
CONFIG_LOG=y
CONFIG_EXTERNAL_LIBCPP=y

CONFIG_PRINTK=y
CONFIG_LOG_BUFFER_SIZE=4096
# Memory
CONFIG_HEAP_MEM_POOL_SIZE=8192
CONFIG_MAIN_STACK_SIZE=16384

# Network
CONFIG_NETWORKING=y
CONFIG_NET_NATIVE=n
CONFIG_NET_SOCKETS=y
CONFIG_NET_SOCKETS_OFFLOAD=y
CONFIG_POSIX_API=y

# LTE link control
CONFIG_LTE_LINK_CONTROL=y
CONFIG_LTE_NETWORK_MODE_LTE_M_NBIOT=y

# CoAP
CONFIG_COAP=y
CONFIG_COAP_CLIENT=y
CONFIG_COAP_CLIENT_MAX_INSTANCES=1
CONFIG_COAP_CLIENT_MAX_REQUESTS=1
CONFIG_COAP_CLIENT_BLOCK_SIZE=1024

CONFIG_DK_LIBRARY=y
CONFIG_SPI=y

# Printing floats
CONFIG_CBPRINTF_FP_SUPPORT=y

# Modem Information Library (access to e.g. IMEI number)

CONFIG_MODEM_INFO=y
CONFIG_NRF_MODEM_LIB=y

# ADC

CONFIG_ADC=y

# NVS

CONFIG_FLASH=y
CONFIG_NVS=y

# NTP

CONFIG_DATE_TIME=y
CONFIG_DATE_TIME_MODEM=y
CONFIG_DATE_TIME_NTP=y
CONFIG_DATE_TIME_AUTO_UPDATE=y

# CONSOLE

CONFIG_SHELL=y

CONFIG_SHELL_BACKEND_SERIAL=y
CONFIG_SHELL_CMD_BUFF_SIZE=256
CONFIG_SHELL_PRINTF_BUFF_SIZE=256

CONFIG_SERIAL=y
CONFIG_UART_ASYNC_API=y

CONFIG_DEVMEM_SHELL=n


# OTA

CONFIG_DFU_TARGET=y
CONFIG_REBOOT=y
